Bug 1012512 - [Usability] Improve runtime statistics for messaging destinations [NEEDINFO]
[Usability] Improve runtime statistics for messaging destinations
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: CR1
: EAP 6.4.0
Assigned To: Catherine Robson
Pavel Jelinek
Russell Dickenson
Usability
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 11:01 EDT by Martin Svehla
Modified: 2015-08-31 23:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:12 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pjelinek: needinfo? (crobson)


Attachments (Terms of Use)
Screenshot of the metrics bar labels (2.97 KB, image/png)
2013-09-26 11:03 EDT, Martin Svehla
no flags Details
Original design recommendation. (186.37 KB, application/pdf)
2014-08-12 13:51 EDT, Liz
no flags Details
current message stats (42.23 KB, image/png)
2014-08-25 09:23 EDT, Heiko Braun
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-314 Minor Resolved Improve runtime statistics for messaging destinations 2017-04-10 08:15 EDT

  None (edit)
Description Martin Svehla 2013-09-26 11:01:36 EDT
Ideas for improving runtime statistics tab for destinations:
- improve the scale on messages count bars - don't use real numbers if the number of messages is low, give user absolute number of messages (the scale labels sometimes don't go all the way to 100%)
- list how many clients are connected to the destinations, for topics also list subscription IDs and how many messages was consumed per subscription
- list more than 4 destinations in the table or let the user set how many of them she wants to see
Comment 1 Martin Svehla 2013-09-26 11:03:11 EDT
Created attachment 803456 [details]
Screenshot of the metrics bar labels

Notice how the last label is before the end of the bar, resulting in the user not being able to see the total number of messages.
Comment 2 Heiko Braun 2014-07-09 07:38:12 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 3 Jakub Cechacek 2014-07-21 02:21:37 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 4 Catherine Robson 2014-08-01 13:35:58 EDT
To be addressed in EAP 7 monitoring designs.
Comment 5 Liz 2014-08-12 13:47:39 EDT
Including some of the labels recommended within the original design handoff might help to resolve some of the issues.
Comment 6 Liz 2014-08-12 13:51:55 EDT
Created attachment 926175 [details]
Original design recommendation.

This is a copy of the original recommended design. It included additional labels, summary text and a legend.
Comment 7 Heiko Braun 2014-08-25 09:23:10 EDT
Created attachment 930480 [details]
current message stats
Comment 8 Pavel Jelinek 2014-11-26 04:30:47 EST
Should this still remain in POST state?
Comment 9 mkrajcov 2015-03-25 05:02:55 EDT
-numbers from bars are listed next to the bar and therefore easy to read
-better message stats

Note You need to log in before you can comment on or make changes to this bug.